﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
 
using Infragistics.Windows.DataPresenter;
using WPF_HelpSampleBrowser;

namespace DataGridHierarchy
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            LibraryBusinessLogic data = new LibraryBusinessLogic();
            this.XamDataGrid1.DataSource = data.Categories;
        }
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null && value.GetType() == typeof(Category) && (value as Category).Name == "Thriller")
            {
                return Brushes.Red;
            }
            if (value != null && value.GetType() == typeof(Book) && (value as Book).Author == "Joseph J. Ellis")
            {
                return Brushes.Yellow;
            }
            if (value != null && value.GetType() == typeof(Book) && (value as Book).Author == "Michael Miller")
            {
                return Brushes.Green;
            }
             
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }

}
